require( "scripts/style.lua" );

-- Our game set up
MakeDialog
{
	-- Name the modal dialog
	name="FamilyIntroduction",
	FamilyIntroduction
	{
		w = 1024,
		h = 768,
		
		Text
		{
			name = "familyname",
			x = 133,
			y = 123,
			w = 758,
			h = 106,
			font = {
				oldsansblackFont,
				70,
				BlackColor
			},
			label = "family1",
			flags = kHAlignCenter + kVAlignCenter;
		},	
		
		Bitmap
		{
			name="familyphoto",
			--image="gui/familyintroduction/Singleton",
			x=199,
			y=286,
		},
		
		Text
		{
			name = "familydescription",
			x = 550,
			y = 255,
			w = 327,
			h = 238,
			font = {
				oldsansblackFont,
				17,
				BlackColor
			},
			label = "family1description",
		},	
		SetStyle( MenuButtonStyle ),
		Button
		{
			name = "familyintroductionback",
			x=131,
			y=719,
			graphics = MediumButton2Graphics,
			MenuButtonLabel(0, 0, 152, 34, "back", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),				
			command=
				function()
					--SwapToModal("scripts/mainmenu.lua");
					SwapToModal("scripts/map.lua");
				end
		},
		Button
		{
			name = "familyintroductionok",
			x=575,
			y=520,
			graphics = BigButtonGraphics,
			MenuButtonLabel(0, 0, 255, 56, "ok", oldsansblackFont, 36, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255));
			command=
				function()
					if EnteringByMap() then
						SwapToModal("scripts/nannyselection.lua");
					else
						SwapToModal("scripts/gamescreen.lua");
					end
				end
		},		
	}
}
